<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>

<HEAD>

<TITLE>Welcome to CGIscriptor and CGIservlet</TITLE>


</HEAD>

<BODY>

<H1 ALIGN="CENTER">Welcome to CGIscriptor and the CGIservlet</H1>

<P>
<A HREF="CGIscriptor.pl">CGIscriptor</A> merges plain ASCII HTML files 
on-line and real-time, transparantly and savely with PERL code, shell 
commands, and executable scripts.  It combines the "ease of use" of HTML 
files with the versatillity of specialized scripts and PERL programs.  It 
hides all the specifics and idiosyncrasies of correct output and CGI coding 
and naming.  Scripts do not have to be aware of HTML or CGI conventions 
just as HTML files can be ignorant of scripts and the associated values. 
CGIscriptor complies with the W3C HTML 4.0 recommendations.
</P>

<P>
<A HREF="CGIservlet.pl">CGIservlet</A> is a HTTPd "connector" for running 
CGI scripts on Unix systems as WWW accessible Web sites.  The version found 
here is configured to run CGIscriptor out of the box.  Together, these two 
scripts make a small and simple, but complete, Web server.<br>
The servlet starts a true HTTP daemon but is NOT a full fledged server. 
Moreover, this servlet is definitely NOT intended as a replacement of a 
real server (e.g., Apache).  It's design goal was SIMPLICITY, and not 
mileage.
</P>

<P>
Both programs are licensed under the GNU GPL.
</P>

<h2>More local pages</h2>
<UL>
    <LI>The <A HREF="CGIscriptor.html">CGIscriptor manual</A> 
    (from the comments of CGIscriptor.pl)</LI>
    <LI>The <A HREF="CGIservlet.html">CGIservlet manual</A> 
    (from the comments of CGIservlet.pl)</LI>
    <LI><A HREF="README.txt">README.txt</A>, contains information on this 
        distribution and installation</LI>
    <LI>An active <A HREF="Hello.html">"Hello World"</A> example page for 
    CGIscriptor (works only when CGIscriptor.pl is running)</LI>
     <LI>A basic example of <a href="Private/index.html">authorization with 
    a Login page</a>. Use username <em>test</em> and password <em>testing</em>.
    There is also a <a href="PrivateTutorial.html">Tutorial of the authorization
    application</a></LI>
   <LI><A HREF="CGIscriptor.tgz">CGIscriptor.tgz</A> (disabled)<br>
	<I>The whole package in a single gnuzipped tar file</i></LI>
    <LI>The <A HREF="gpl.html">GNU General Public License</A> (with links 
    to he <A HREF="http://www.gnu.org">GNU home page</A>)</LI>

    <LI>The GNU General Public License as a <A HREF="gpl.txt">text file</A></LI>
</UL>

<hr>
<META CONTENT='text/osshell; CGI="$PATH_INFO"'>
<h3>This is visit number <SCRIPT  TYPE="text/osshell">
grep $PATH_INFO ~/Client.log | wc -l</SCRIPT> of this page</h3>
</BODY>

</HTML>
